/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model146
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model146 {
  @SerializedName("adults")
  private Integer adults = null;

  @SerializedName("children")
  private Integer children = null;

  @SerializedName("infants")
  private Integer infants = null;

  @SerializedName("seniors")
  private Integer seniors = null;

  @SerializedName("oldest_traveler_age")
  private Integer oldestTravelerAge = null;

  public Model146 adults(Integer adults) {
    this.adults = adults;
    return this;
  }

   /**
   * Number of adults
   * minimum: 0
   * @return adults
  **/
  @ApiModelProperty(example = "1", required = true, value = "Number of adults")
  public Integer getAdults() {
    return adults;
  }

  public void setAdults(Integer adults) {
    this.adults = adults;
  }

  public Model146 children(Integer children) {
    this.children = children;
    return this;
  }

   /**
   * Number of children
   * minimum: 0
   * @return children
  **/
  @ApiModelProperty(example = "0", required = true, value = "Number of children")
  public Integer getChildren() {
    return children;
  }

  public void setChildren(Integer children) {
    this.children = children;
  }

  public Model146 infants(Integer infants) {
    this.infants = infants;
    return this;
  }

   /**
   * Number of infants
   * minimum: 0
   * @return infants
  **/
  @ApiModelProperty(example = "0", required = true, value = "Number of infants")
  public Integer getInfants() {
    return infants;
  }

  public void setInfants(Integer infants) {
    this.infants = infants;
  }

  public Model146 seniors(Integer seniors) {
    this.seniors = seniors;
    return this;
  }

   /**
   * Number of seniors
   * minimum: 0
   * @return seniors
  **/
  @ApiModelProperty(example = "0", required = true, value = "Number of seniors")
  public Integer getSeniors() {
    return seniors;
  }

  public void setSeniors(Integer seniors) {
    this.seniors = seniors;
  }

  public Model146 oldestTravelerAge(Integer oldestTravelerAge) {
    this.oldestTravelerAge = oldestTravelerAge;
    return this;
  }

   /**
   * Age of the oldest traveler
   * minimum: 0
   * @return oldestTravelerAge
  **/
  @ApiModelProperty(example = "33", required = true, value = "Age of the oldest traveler")
  public Integer getOldestTravelerAge() {
    return oldestTravelerAge;
  }

  public void setOldestTravelerAge(Integer oldestTravelerAge) {
    this.oldestTravelerAge = oldestTravelerAge;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model146 model146 = (Model146) o;
    return Objects.equals(this.adults, model146.adults) &&
        Objects.equals(this.children, model146.children) &&
        Objects.equals(this.infants, model146.infants) &&
        Objects.equals(this.seniors, model146.seniors) &&
        Objects.equals(this.oldestTravelerAge, model146.oldestTravelerAge);
  }

  @Override
  public int hashCode() {
    return Objects.hash(adults, children, infants, seniors, oldestTravelerAge);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model146 {\n");
    
    sb.append("    adults: ").append(toIndentedString(adults)).append("\n");
    sb.append("    children: ").append(toIndentedString(children)).append("\n");
    sb.append("    infants: ").append(toIndentedString(infants)).append("\n");
    sb.append("    seniors: ").append(toIndentedString(seniors)).append("\n");
    sb.append("    oldestTravelerAge: ").append(toIndentedString(oldestTravelerAge)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

